var KEYS = {
    "ping_data_nodes_check": "Validating data nodes are reachable.",
    "ping_data_nodes_check.recommendation": "Ensure all nodes are able to communicate properly by ensuring the needed ports are open for communication.",
    "ping_rc_nodes_check": "Validating remote collector nodes are reachable.",
    "ping_rc_nodes_check.recommendation": "Ensure all nodes are able to communicate properly by ensuring the needed ports are open for communication.",
    "check_disk_space_needed": "Validating free disk space on all nodes required to perform the upgrade.",
    "time_sync_check": "Validating Time is in sync across all nodes.",
    "recommendation": "Ensure the time across nodes is in sync and NTP service is running on all nodes.",
    "node_online_check": "Validating if each node is powered on and online.",
    "node_online_check.recommendation": "Ensure all nodes are Powered On and reporting as Online.",
    "resource_count_check": "Validating the number of resources per node meets the sizing requirements.",
    "resource_count_check.recommendation": "Validate the product sizing scaling spreadsheet to ensure the product is sized with the correct number of nodes to support the scale of resources. (https://kb.vmware.com/kb/2093783)",
    "self_monitor_check": "Validating there are no Active Self Monitoring Alerts existing on the cluster.",
    "latency_check_data_nodes": "Validating the network response time between data nodes meets product requirements.",
    "latency_check_rc_nodes": "Validating the network response time between remote collector nodes meets product requirements.",
    "latency_check_nodes.recommendation": "Validate that the network latency requirements are within the values that are specified in the vRealize Operations Sizing for data nodes and remote collectors. ((https://kb.vmware.com/kb/2093783).",
    "ntp_check": "Validating NTP is configured the same on all nodes in cluster.",
    "ntp_check.recommendation": "Ensure all nodes have the same NTP configuration.",
    "cluster_degraded_check": "Validating if HA is enabled and if so, if its in a degraded state.",
    "cluster_degraded_check.recommendation": "Repair cluster and bring the cluster back to Online state.",
    "cluster_sync_check": "Validating if HA is enabled and if it is enabled ensure nodes are not in sync state.",
    "cluster_sync_check.recommendation": "The cluster is currently syncing between nodes. This operation will not impact a system upgrade.",
    "cluster_rebalance_check": "Validating if the cluster is currently re-balancing.",
    "cluster_rebalance_check.recommendation": "The cluster is currently re-balancing. This operation will not impact a system upgrade.",
    "dns_node_resolution_check": "Validating if all nodes are resolvable by DNS.",
    "dns_node_resolution_check.recommendation": "As a best practice, all nodes in the cluster should be resolvable by DNS.",
    "check_httpd_processes_running": "Validating Httpd service and Apache Services are running on all cluster nodes.",
    "check_httpd_processes_running.recommendation": "Ensure Httpd and Apache services are running.",
    "check_for_bad_locator_address": "Validate the gemfire locator addresses.",
    "check_for_bad_locator_address.recommendation": "Validate the locators in the gemfire.properties file are correct.",
    "swap_space_check": "Validating swap space on all nodes in the cluster.",
    "swap_space_check.recommendation": "Validate swap space is not greater than 50% of the total memory assigned to a node.",
    "service_restarts_check": "Validating that services have not been restarted, started or stopped in the previous 15 minutes across the cluster.",
    "service_restarts_check.recommendation": "This is simply a warning and should not impact an upgrade scenario.",
    "verify_consistent_node_online_states": "Validating all nodes in the cluster have a consistent online status.",
    "verify_consistent_node_online_states.recommendation": "Ensure all nodes are reporting the same online status.",
    "verify_maximum_directories_count": "Validation that subdirctories count in /tmp is under 30K.",
    "verify_maximum_directories_count.recommendation": "Ensure that subdirctories count in /tmp is under 30K.",
    "ping_data_nodes_check.description": "Pinging data nodes resulted in success.",
    "ping_nodes_check_failed.description": "Pinging the node '{0}' failed, reason: '{1}'.",
    "ping_rc_nodes_check.description": "Pinging remote collector nodes resulted in success.",
    "ping_mc_rc_node": "Pinging the multi-cloud remote collector node '{0}' failed, reason: '{1}'.",
    "check_disk_space_needed_failed.description": "Insufficient disk space exists for the PAK installation. available='{0}' required='{1}' disk/partition='{2}'.",
    "time_sync_check.description": "Nodes are in time sync",
    "time_sync_check_failed.description": "The node(s) '{0}', '{1}' are not in time sync and vary by '{2}'seconds.",
    "check_configs_existence_failed.description": "Files or folders don't exist '{0}'.",
    "check_configs_existence.description": "Files or folders don't exist '{0}'.",
    "node_online_check.description": "All nodes are online",
    "node_online_check_failed.description": "Nodes '{0}',",
    "node_online_check_state_failed.description": "Nodes in '{0}' state.",
    "resource_count_check.description": "Node '{0}' has resource count of '{1}'.",
    "get_slice_uuid_failed.description": "Couldn\'t get slice uuid.",
    "check_suite_api_state.description": "Suite-api might be down, ignoring this test.",
    "ignore_test_response_code.description": "API might not be implemented in this version, ignoring this test response code '{0}'.",
    "self_monitor_check.description": "No self monitoring alerts in the system.",
    "self_monitor_check_failed.description": "'{0}' ACTIVE alerts, ALERT_DEFINITION: '{1}'.",
    "latency_check_data_nodes.description": "Average latency between nodes is '{0}'ms'.format(total/total_count).",
    "latency_check_data_nodes_failed.description": "Node '{0}' has latency of '{1}'ms which is more than the maximum.",
    "latency_check_rc_nodes.description": "Average latency between remote collector nodes is '{0}'ms.",
    "latency_check_rc_nodes_failed": "Node '{0}' has latency of '{1}'ms which is more than the maximum.",
    "pinging_rc_nodes_failed.description": "Pinging the node '{0}' failed, reason: '{1}'.",
    "ntp_check.description": "Nodes are configured with same set of time servers.",
    "ntp_check_failed.description": "The node(s) '{0}' and '{1}' contain different time server configuration.",
    "ha_is_enabled.description": "HA is enabled and cluster is in degraded state.",
    "ha_is_not_enabled.description": "HA is not enabled.",
    "cluster_sync_check.description": "Nodes are in sync state.",
    "cluster_sync_check_failed.description": "Node '{0}' is in sync state, percentage complete: '{1}'%.",
    "cluster_rebalance_check_failed.description": "Cluster is re-balancing, percentage completed: '{0}'%.",
    "cluster_rebalance_check.description": "Cluster is not in the middle of re-balancing.",
    "skipping_dns_node_resolution_check.description": "Skipping check since it is Master Node.",
    "apache_service_name_find_failed.description": "Failed to find the apache service name.",
    "check_httpd_processes_running.description": "The '{0}' service is running, return success.",
    "upgrade_process_failed.description": "Cannot upgrade due to https processes running.",
    "gemfire_locator_bad_state.description": "The gemfire locator is in a bad state and needs to be corrected.",
    "swap_space_check.description": "The swap percentage on the node is '{0}'%.",
    "service_restarts_check.description": "Services are up and running.",
    "service_restarts_check_service.description": "The service '{0}'",
    "service_restarts_check_times.description": "'{0}' '{1}' times",
    "service_restarts_check_last_minutes.description": "in the last '{0}' minutes",
    "watchdog_file_not_exist.description": "Watchdog file doesn\'t exist.",
    "watchdog_file_read_fail.description": "Failed reading from watchdog json file '{0}'.",
    "admin_account_check": "Checking admin account.",
    "admin_account_check.recommendation": "When upgrading, ensure admin account is not locked or expired.",
    "admin_account_locked.failed.description": "The account of admin user is locked",
    "admin_password_expired.failed.description": "The password of admin user is expired.",
    "admin_password_expired.updated.description": "The password of admin account was expired in guest OS of vROps virtual appliance, it has been reset to expire in 60 days.",
    "admin_account_locked_many_attempts_os.failed.description": "The account of admin user is locked because of many login attempts from guest OS.",
    "admin_account_locked_many_attempts_ui.failed.description": "The account of admin user is locked because of many login attempts from UI.",
    "admin_password_hash_invalid.failed.description": "The hashing algorithm of admin password is invalid.",
    "root_account_check": "Validating if root account is not locked or expired.",
    "root_account_check.recommendation": "Ensure root account is not locked or expired.",
    "root_password_hash_invalid.failed.description": "root password hashing algorithm is invalid.",
    "esxi_version_check": "Validating if ESXi version matches product requirements.",
    "esxi_version_check.recommendation": "Ensure ESXi version matches product requirements.",
    "esxi_version_check_failed.description": "ESXi version does not match product requirements.",
    "verify_consistent_node_online_states.description": "Node online states consistent check '{0}'.",
    "skipping_check_expired certificate.description": "Skipping as cluster certificate is expired. Please update certificate and run Assessment Tool again.",
    "skipping_check_cluster_is_not_online.description": "Skipping '{0}' since cluster in not online.",
    "skipping_check_not_run_on_master.description": "Skipping '{0}' since this has be run on master.",
    "skipping_check_it_is_said_in_template.description": "Skipping '{0}' since it is said so in '{1}'.",
    "verify_maximum_directories_count_failed.description": "Subdirectories count under /tmp should be 30K but is '{0}'.",
    "inbound_size_check": "Checking /usr/lib/vmware-vcops/user/plugins/inbound size.",
    "inbound_size_check.recommendation": "Make sure the available size of inbound directory is greater than 1.2 GB.",
    "inbound_size_check.updated.description": "The size of inbound folder was greater than 1.2 GB, it has been decreased to '{0}'.",
    "inbound_size_check.failed.description": "The size of inbound folder is '{0}'.",
    "sda_partition_size_check": "Checking /dev/sda (hard disk 1) size.",
    "sda_partition_size_check.recommendation": "Increase the size of the /dev/sda (hard disk 1) to be greater or equal to 20 GB (https://kb.vmware.com/s/article/75298).",
    "sda_partition_size_check.failed.description": "The size of the /dev/sda (hard disk 1) is less than 20 GB.",
    "sdc_partition_size_check": "Checking /dev/sdc partition size.",
    "sdc_partition_size_check.recommendation": "Increase the size of the partition to be greater or equal to 4 GB (https://kb.vmware.com/s/article/75327).",
    "sdc_partition_size_check.failed.description": "The size of the partition is less than 4 GB.",
    "unable_to_check.description": "An error occurred during validation, please verify manually.",
    "version_check": "Validating product version",
    "version_check.recommendation": "Ensure product and upgrade versions meet the requirements.",
    "running_version_check_failed.description": "Failed running version check.",
    "minimum_version_check_failed.description": "Minimum version check failed. product version: '{0}' is less than the minimum version: '{1}'.",
    "photon2photon_version_check.description": "Make sure to run vRealize Operations Manager 8.x Virtual Appliance upgrade, as product version is '{0}'",
    "inplace_upgrade_version_check.description": "Make sure to run vRealize Operations Manager - 6.6.1, 6.7, 7.0 and 7.5 Virtual Appliance upgrade, as product version is '{0}'",
    "vra_7x_check": "Checking vRealize Automation 7.x",
    "vra_7x_check_failed.description": "vRealize Automation 7.x Integration with vRalize Operation Manager is enabled.",
    "vra_7x_check.recommendation": "vRealize Automation 7.x integration with vRealize Operations Manager 8.3 and onwards is dropped. Please upgrade to vRealize Automation 8.x before upgrading to vRealize Operation Manager 8.3 and beyond.",
    "bootstrap_file_existence_check": "Checking recovery.conf.bootstrap file.",
    "bootstrap_file_existence_check.recommendation": "Upgrade is not possible, please contact VMware Global Support.",
    "bootstrap_file_existence_check.failed.description": "Issue #2794269 - Potential issue with Analytics node.",
    "epops_agent_existence_check.description": "The End Point Operations Management Solution has been deprecated and will not work since 8.6.0 release. Please disable your EPOps agent. ",
    "management_pak_existence_check.description": "Detected installed MP(s) that are incompatible with vRealize Operation Manager 8.10.0 and above:\n MP / Current Version / Compatible Version'{0}'",
    "management_pak_existence_check.recommendation": "Please upgrade MP(s) to compatible version.\n See KB for more details: https://kb.vmware.com/s/article/89675",
    "telegraf_check.description": "There are Telegraf endpoints that are still connected to the deprecated vRealize Application Remote Collector appliance.",
    "telegraf_check.recommendation": "Please migrate all Telegraf endpoints to Cloud Proxy before you proceed with upgrade of vRealize Operations.\nFor additional information please refer to https://kb.vmware.com/s/article/83059",
    "verify_jump_release_for_cp_renewal.description": "Cannot upgrade cloud proxies to the current version. Please first upgrade to 8.6.x version to continue the installation.",
    "log_insight_adapter_check.description": "After upgrading to VMware Aria Operations 8.12 and above, the existing Logs Integrations will stop working. For more information see https://docs.vmware.com/en/VMware-Aria-Operations/8.12/Configuring-Operations/GUID-33DAA688-CED8-4D24-8359-1FC1CEDD1191.html"
};