# Copyright 2018 VMware, Inc.  All rights reserved. -- VMware Confidential
# VMware Python six module: utilities, imports, APIs etc which wrap over differences between Py2 and Py3.
# Intended to makes workable vROps codebases for both Python 2 and 3. Will provide according unit-test(see test_py6) but mitigating pylinter chckeks.
# Later on, when we will switch only to Python 3 this can even be safely removed making some minor changes in the sources.
# Note: the current version of python is 2.7.13 and as 2.7 release has already a lot of things done for Python 3 forward support then that parts will be directly put in source code without being wrapped here (but additional unit tests will be supported).

__author__ = "VMware, Inc."

import sys

## Check for Python 3 version else consider version 2.7 only
versionInfo = sys.version_info
VCOPS_PY3 = (3 == versionInfo[0])

if not VCOPS_PY3:
   if 2 != versionInfo[0]:
      # sys.exit('vcops_six FATAL ERROR: {0} Python unsupported version. vROps Python supported version >= 2.7.13'.format(versionInfo))
      print('vcops_six WARNING: {0} Python unsupported version. vROps Python supported version >= 2.7.13'.format(versionInfo))

   if 7 != versionInfo[1]:
      # sys.exit('vcops_six FATAL ERROR: {0} Python unsupported version. vROps Python supported version >= 2.7.13'.format(versionInfo))
      print('vcops_six WARNING: {0} Python unsupported version. vROps Python supported version >= 2.7.13'.format(versionInfo))


# pylint:disable=no-name-in-module
if VCOPS_PY3:
   string_type = str

   import configparser as configparser
   import io as vcops_io

   import urllib as vcops_urllib
   from urllib.error import URLError as VcopsURLError
   from urllib.error import HTTPError as VcopsHTTPError
   from urllib.request import HTTPSHandler as VcopsHTTPSHandler
   from urllib.request import ProxyHandler as VcopsProxyHandler
   from urllib.request import Request as VcopsRequest
   from urllib.request import build_opener as vcops_build_opener
   from urllib.request import urlopen as vcops_urlopen
   from io import StringIO as VcopsStringIO

   import http
   from http.client import HTTPSConnection as VcopsHTTPSConnection
   from http.client import HTTPException as VcopsHTTPException

   VcopsHTTPStatusOK = http.HTTPStatus.OK
   VcopsHTTPStatusCREATED = http.HTTPStatus.CREATED
   VcopsHTTPStatusNO_CONTENT = http.HTTPStatus.NO_CONTENT

   # Dictionary items
   def vcops_items(d):
      return d.items()

   # Dictionary values
   def vcops_itervalues(d):
      return d.values()

   # Dictionary keys
   def vcops_iterkeys(d):
      return d.keys()

else:
   string_type = basestring

   import ConfigParser as configparser
   from StringIO import StringIO as VcopsStringIO

   import urllib2 as vcops_urllib
   from urllib2 import URLError as VcopsURLError
   from urllib2 import HTTPError as VcopsHTTPError
   from urllib2 import HTTPSHandler as VcopsHTTPSHandler
   from urllib2 import ProxyHandler as VcopsProxyHandler
   from urllib2 import Request as VcopsRequest
   from urllib2 import build_opener as vcops_build_opener
   from urllib2 import urlopen as vcops_urlopen

   import httplib
   from httplib import HTTPSConnection as VcopsHTTPSConnection
   from httplib import HTTPException as VcopsHTTPException

   VcopsHTTPStatusOK = httplib.OK
   VcopsHTTPStatusCREATED = httplib.CREATED
   VcopsHTTPStatusNO_CONTENT = httplib.NO_CONTENT

   # Dictionary items
   def vcops_items(d):
      return d.iteritems()

   # Dictionary values
   def vcops_itervalues(d):
      return d.itervalues()

   # Dictionary keys
   def vcops_iterkeys(d):
      return d.iterkeys()

# pylint:enable=no-name-in-module
